<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
       $sql = <<<'SQL'
        ALTER TABLE process_orders
        ALTER COLUMN received_quantity TYPE NUMERIC
        USING received_quantity::NUMERIC;
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('process_orders', function (Blueprint $table) {
        //     //
        // });
    }
};
